import request from '@/utils/request';

// 首页每一项
export function identity() {
  return request({
    url: '/enterprise/v1/config/identity'
  });
}
// 当前状态
export function settled() {
  return request({
    url: '/enterprise/v1/settled'
  });
}
// 当前状态切换
export function identitySwitch(data) {
  return request({
    url: '/enterprise/v1/user/identity/switch',
    method:'post',
    data
  });
}
// 公司企业入驻
export function company(data) {
  return request({
    url: '/enterprise/v1/settled/company',
    method:'post',
    data
  });
}
// 所属单位
export function researchSelect() {
  return request({
    url: '/enterprise/v1/manage/research/select',
  });
}
// 所属单位>实验室
export function laboratorySelect() {
  return request({
    url: '/enterprise/v1/manage/research/laboratory',
  });
}
// 专家入驻
export function expert(data) {
  return request({
    url: '/enterprise/v1/settled/expert',
    method:'post',
    data
  });
}
// 科研机构入驻
export function research(data) {
  return request({
    url: '/enterprise/v1/settled/research',
    method:'post',
    data
  });
}

// 实验室入驻
export function laboratory(data) {
  return request({
    url: '/enterprise/v1/settled/laboratory',
    method:'post',
    data
  });
}

// 实验室入驻
export function agent(data) {
  return request({
    url: '/enterprise/v1/settled/agent',
    method:'post',
    data
  });
}